> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/api/locate.md).

# Locate

## Save a location

<mark style="color:green;">`POST`</mark> `https://api.echo3D.com/location`

This endpoint allows you to save the location from where a query is made or the location of the user.

#### Request Body

| Name                                      | Type   | Description                                                                                                                             |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>     | string | Your API key.                                                                                                                           |
| email<mark style="color:red;">\*</mark>   | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark> | string | Your authentication key                                                                                                                 |
| secKey<mark style="color:red;">\*</mark>  | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |
| entryID<mark style="color:red;">\*</mark> | string | The entry ID of the content entry being accessed.                                                                                       |
| lat<mark style="color:red;">\*</mark>     | string | The latitude coordinate of the device accessing the content entry.                                                                      |
| long<mark style="color:red;">\*</mark>    | string | The longitude coordinates of the device accessing the content entry.                                                                    |
| countryCode                               | object | The two-letter country code of the location of the device accessing the content entry.                                                  |

{% tabs %}
{% tab title="200 The location will be saved an associated with the entry" %}

```
N/A
```

{% endtab %}
{% endtabs %}

**This API query must include a location.** You must either send location coordinates (longitude and latitude) **or** a [two-letter country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.echo3d.com/api/locate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
